import APP from '@/services';
import { Systemparam } from '@/services/go/useInfo/interface';

// 获取全部系统配置
export const getAllSystemParam = (): Systemparam[] => {
    return APP.getRef('systemParams').value
}

// 通过 code 获取系统配置
export const getSystemParamByCode = (paramcode: string): Systemparam | undefined => {
    return getAllSystemParam().find(e => e.paramcode === paramcode)
}
// 通过 code 获取系统配置对应的值
export const getSystemParamValueByCode = (paramcode: string) => {
    return getSystemParamByCode(paramcode)?.paramvalue
}

/**
 * 通过 code 查找 系统配置是否存在 value 值
 * @param paramcode
 * @param value
 * @returns
 */
export const hasSystemParam = (paramcode: string, value: string) => {
    return getSystemParamByCode(paramcode)?.paramvalue === value
}